//
//  timers.h
//  Project - Digital Piano
//  Course  - Microprocessor Design
//
//  Created by Iulian Corcoja on 5/24/13.
//

#ifndef TIMERS_
#define TIMERS_

// AVR headers
#include <avr/io.h>
#include <avr/interrupt.h>
#define F_CPU 16000000

// Init timers used for the piano
void init_timers(void);

// Define void function pointer
typedef void (*void_func_ptr)(void);

// Define virtual timers
extern const unsigned int tmr_count;
extern const unsigned int tmr_max_value;
extern const unsigned int tmr_call[];
extern const void_func_ptr tmr_func_ptr[];


#endif
